Bug 497610 - arora doesn't appear in preferred applications list
arora doesn't appear in preferred applications list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 22:42 EDT by Jeremy Huddleston
Modified: 2009-07-23 15:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.26.0-10.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (7.19 KB, patch)
2009-06-05 06:38 EDT, Jaroslav Reznik
no flags Details | Diff

  None (edit)
Description Jeremy Huddleston 2009-04-24 22:42:35 EDT
Description of problem:

arora isn't listed as an option in the gnome preferred application list for browsers.

Version-Release number of selected component (if applicable):

arora-0.6-2.fc11.ppc

How reproducible:

100%

Steps to Reproduce:
1. sudo yum install arora
2. System -> Preferences -> Preferred Applications
3. Notice that arora isn't in the select box
Comment 1 Jaroslav Reznik 2009-06-04 09:17:06 EDT
Hi,
Arora is not in "Preferred Applications" list but you can use "Custom" option and set "Command" to "arora %s". I'll try to ping someone from Gnome folks what they thing about it and how to do it properly.
Comment 2 Bastien Nocera 2009-06-04 11:27:53 EDT
Got a patch?

The file to modify is:
capplets/default-applications/gnome-default-applications.xml.in
in the control-center sources.

And let us know in which versions you'd want that patch (F-11 and rawhide alright?)
Comment 3 Jaroslav Reznik 2009-06-05 06:38:25 EDT
Created attachment 346637 [details]
Proposed patch

Hi Bastien,
thanks for hint.

F11 and devel is OK for me as the report is for rawhide. I'm not sure about your policies and if it is possible to have it in previous releases either. Arora is also available for F9/F10.
Comment 4 Fedora Update System 2009-06-05 10:50:34 EDT
control-center-2.26.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/control-center-2.26.0-9.fc11
Comment 5 Bastien Nocera 2009-06-05 10:52:40 EDT
Done for F11 and devel. Don't think it's worth doing for F10 or earlier given
that we had exactly one report of this bug...
Comment 6 Bastien Nocera 2009-06-08 06:03:17 EDT
I removed the patch in devel. Arora should ship its own XML file instead. See the details at:
http://live.gnome.org/ControlCenter/AddingDefaultApplications
Comment 7 Jaroslav Reznik 2009-06-08 09:28:57 EDT
I'm not sure about bundling Gnome specific stuff to cross desktop browser - same reason why I'm not building Arora against kdelibs even upstream suggest it (for better open/save dialogs). Lot of people uses Arora in other DEs. So I think g-c-c module patch is more suitable for this bug.
Comment 8 Bastien Nocera 2009-06-08 11:45:33 EDT
A couple of lines in the configure.in and Makefile.am, to make sure the file gets dropped in the right place, that's all.

You could even hardcode the path as you know the control-center will look in /usr/share/gnome-control-center/default-apps/ on Fedora systems.

Then it's just a matter of getting the file itself upstream, so it can get translated.

I won't be re-adding the patch, given that dropping one file into a directory doesn't account for a dependency at all...
Comment 9 Jaroslav Reznik 2009-06-08 16:10:09 EDT
For some people installing Gnome specific file somewhere in their filesystem could be same like red flag for bull ;-)

I can hardcode it to SPEC file as Arora is using QMake but I'll ask upstream for their opinion. No translations are needed.
Comment 10 Bug Zapper 2009-06-09 10:32:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Update System 2009-06-15 21:36:10 EDT
control-center-2.26.0-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update control-center'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6084
Comment 12 Fedora Update System 2009-07-14 11:30:35 EDT
control-center-2.26.0-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/control-center-2.26.0-10.fc11
Comment 13 Jaroslav Reznik 2009-07-16 07:38:15 EDT
Ok,
upstream decided to ship it. It's expected in Arora 0.8. See http://arorabrowser.blogspot.com/2009/07/some-linux-desktop-improvements.html
Comment 14 Fedora Update System 2009-07-19 06:37:30 EDT
control-center-2.26.0-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update control-center'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7797
Comment 15 Fedora Update System 2009-07-23 15:01:39 EDT
control-center-2.26.0-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.